<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:n="urn:oasis:names:tc:ciq:xnl:3" xmlns:a="urn:oasis:names:tc:ciq:xal:3" xmlns:na="urn:oasis:names:tc:ciq:xnal:3" xmlns:p="urn:oasis:names:tc:ciq:xpil:3" xmlns:c="urn:oasis:names:tc:ciq:ct:3" version="1.0"><!--Importing stylesheet additions-->
   <axsl:output method="text"/><!--Implementers: please note that overriding process-prolog or process-root is 
    the preferred method for meta-stylesheets to use where possible. The name or details of 
    this mode may change during 1Q 2007.-->


<!--PHASES-->


<!--PROLOG-->


<!--KEYS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->

   <axsl:template match="*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">
            <axsl:value-of select="name()"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:text>*:</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>[namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
      <axsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+ $preceding"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:choose>
         <axsl:when test="namespace-uri()=''">@schema</axsl:when>
         <axsl:otherwise>
            <axsl:text>@*[local-name()='</axsl:text>
            <axsl:value-of select="local-name()"/>
            <axsl:text>' and namespace-uri()='</axsl:text>
            <axsl:value-of select="namespace-uri()"/>
            <axsl:text>']</axsl:text>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->

   <axsl:template match="node() | @*" mode="schematron-get-full-path-2">
      <axsl:for-each select="ancestor-or-self::*">
         <axsl:text>/</axsl:text>
         <axsl:value-of select="name(.)"/>
         <axsl:if test="preceding-sibling::*[name(.)=name(current())]">
            <axsl:text>[</axsl:text>
            <axsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
            <axsl:text>]</axsl:text>
         </axsl:if>
      </axsl:for-each>
      <axsl:if test="not(self::*)">
         <axsl:text/>/@<axsl:value-of select="name(.)"/>
      </axsl:if>
   </axsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->

   <axsl:template match="/" mode="generate-id-from-path"/>
   <axsl:template match="text()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
   </axsl:template>
   <axsl:template match="comment()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
   </axsl:template>
   <axsl:template match="processing-instruction()" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-from-path">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:value-of select="concat('.@', name())"/>
   </axsl:template>
   <axsl:template match="*" mode="generate-id-from-path" priority="-0.5">
      <axsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
      <axsl:text>.</axsl:text>
      <axsl:choose>
         <axsl:when test="count(. | ../namespace::*) = count(../namespace::*)">
            <axsl:value-of select="concat('.namespace::-',1+count(namespace::*),'-')"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--MODE: GENERATE-ID-2 -->

   <axsl:template match="/" mode="generate-id-2">U</axsl:template>
   <axsl:template match="*" mode="generate-id-2" priority="2">
      <axsl:text>U</axsl:text>
      <axsl:number level="multiple" count="*"/>
   </axsl:template>
   <axsl:template match="node()" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>n</axsl:text>
      <axsl:number count="node()"/>
   </axsl:template>
   <axsl:template match="@*" mode="generate-id-2">
      <axsl:text>U.</axsl:text>
      <axsl:number level="multiple" count="*"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="string-length(local-name(.))"/>
      <axsl:text>_</axsl:text>
      <axsl:value-of select="translate(name(),':','.')"/>
   </axsl:template><!--Strip characters-->
   <axsl:template match="text()" priority="-1"/>

<!--SCHEMA METADATA-->

   <axsl:template match="/"><!--Root node processing collects all assertions-->
      <axsl:variable name="result">
         <axsl:apply-templates select="/" mode="M6"/>
         <axsl:apply-templates select="/" mode="M7"/>
      </axsl:variable>
      <axsl:if test="normalize-space(string($result))">
         <axsl:message terminate="yes">
            <axsl:value-of select="string($result)" disable-output-escaping="yes"/>
         </axsl:message>
      </axsl:if>
   </axsl:template>

<!--SCHEMATRON PATTERNS-->


<!--PATTERN business-constraints-->


	<!--RULE -->

   <axsl:template match="n:PersonName[not(parent::n:PartyName)]" priority="4000" mode="M6">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="count(n:NameElement[@n:ElementType='FirstName'])=1"/>
         <axsl:otherwise>Must have exactly one FirstName component<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="count(n:NameElement[@n:ElementType='LastName'])=1"/>
         <axsl:otherwise>Must have exactly one LastName component<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Address/*" priority="3999" mode="M6">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="(name()='a:FreeTextAddress')"/>
         <axsl:otherwise>Invalid element present. Only FreeTextAddress element allowed.
	<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M6"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M6"/>
   <axsl:template match="@*|node()" priority="-2" mode="M6">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M6"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M6"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>

<!--PATTERN ciq-customised-constraints-->


	<!--RULE -->

   <axsl:template match="n:PersonName[not(parent::n:PartyName)]/n:NameElement//@n:ElementType" priority="4000" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;LimitPersonNameElementEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' FirstName LastName ',concat(' ',normalize-space(.),' ') ) ) ) or ( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;AddPersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddPersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddPersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NativePlaceName ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for a Person name data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:AdministrativeArea/@a:Type" priority="3999" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' State ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Administrative area in address data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Locality/@a:Type" priority="3998" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Suburb ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Locality in address data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Premises/@a:Type" priority="3997" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Tower ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Premises in address data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="na:PostalLabel/na:Addressee/na:DependencyName/@na:Type" priority="3996" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddDependencyTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DependencyTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DependencyTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' C/O ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for dependency in party name and address data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:ElectronicAddressIdentifier//@p:Type" priority="3995" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LimitElectronicAddressIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddessIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' EMAIL ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for electronic address identifier in party data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:ContactNumber/p:ContactNumberElement//@p:Type" priority="3994" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' CountryCode AreaCode LocalNumber Extension Pin Separator NationalNumber InternationalNumber ',concat(' ',normalize-space(.),' ') ) ) ) or ( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' UnparsedData ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for contact number data in party data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="@c:DataQualityType" priority="3993" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( not(contains(normalize-space(.),' ')) and contains( ' Valid Invalid ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Data Quality.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="n:OrganisationName/n:SubDivisionName//@n:Type" priority="3992" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubDivisionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubDivisionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubDivisionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Department Division Branch BusinessUnit School Section ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for a Sub Division of an organisation.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="n:OrganisationName/n:NameElement//@n:ElementType" priority="3991" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;OrganisationNameElementEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NameOnly TypeOnly FullName ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad name component '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for an Organisation.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="n:OrganisationName/@n:Type" priority="3990" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;OrganisationNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OrganisationnameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' LegalName FormerName CommonUse PublishingName OfficialName UnofficialName Undefined ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad name type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for an Organisation.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="n:PersonName/n:NameElement//@n:ElementType" priority="3989" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' PrecedingTitle Title FirstName MiddleName LastName OtherName Alias GenerationIdentifier Degree ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad name component '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for a Person.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="n:PersonName//@n:Type" priority="3988" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PersonNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PersonNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Alias LegalName KnownAs MaidenName FormerName CommonUse NameAtBirth PreferredName OfficialName UnofficialName NickName PetName ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for a Person.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Country/a:NameElement//@a:NameType" priority="3987" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;CountryNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CountryNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CountryNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Country name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:AdministrativeArea/a:SubAdministrativeArea/a:NameElement//@a:Type" priority="3986" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubAdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Sub Administrative Area name element.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:AdministrativeArea/a:SubAdministrativeArea//@a:Type" priority="3985" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubAdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Country City Province Region ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Sub Administrative Area.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:AdministrativeArea/a:NameElement//@a:NameType" priority="3984" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;AdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Administrative Area name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:AdministrativeArea/@a:Type" priority="3983" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AdministrativeAreaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' City State Territory Province ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Administrative Area.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Locality/a:SubLocality/a:NameElement//@a:NameType" priority="3982" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;SubLocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Sub Locality Name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Locality/a:SubLocality//@a:Type" priority="3981" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubLocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Municipality Village ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Sub Locality Name code.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Locality/a:NameElement//@a:NameType" priority="3980" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;LocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Number ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Locality name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Locality/@a:Type" priority="3979" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:LocalityTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Municipality PostTown Place Suburb Town Village Area Zone ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Locality.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Thoroughfare/a:NameElement//@a:NameType" priority="3978" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;ThoroughfareNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ThoroughfareNameTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ThoroughfareNameTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' NameOnly PreDirection PostDirection NameAndNumber NameAndType NameAndType NameNumberAndTypeOnly Unstructured SubThoroughfareConnector ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Thoroughfare name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Thoroughfare/a:Number//@a:Type" priority="3977" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name RangeFrom Range RangeTo Prefix Suffix Number Separator Extension ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Identifier data of Thoroughfare.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Premises/a:SubPremises//@a:Type" priority="3976" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;SubPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubPremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:SubPremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Room Suite Apartment Shop Office Unit ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Sub Premises.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Premises/a:NameElement//@a:NameType" priority="3975" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeRef&#34;]!=&#34;PremisesElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;NameTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name Location SubPremisesConnector InternalThoroughfare ReferenceLocation Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Premises name element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Premises/a:Number//@a:Type" priority="3974" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:IdentifierElementTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Name RangeFrom Range RangeTo Prefix Suffix Number Separator Extension ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Identifier data of Premises.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Premises//@a:Type" priority="3973" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PremisesTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Airport Area Building Farm Hospital House LandMark LargeMailUser Lot House RainwayStation ShoppingComplex University ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Premises.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:PostalDeliveryPoint//@a:Type" priority="3972" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PostalDeliveryPointTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PostalDeliveryPointTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PostalDeliveryPointTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' GPOBox POBox LockedBag MailStop PigeonHole PrivateBag ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Postal Delivery Point.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:LocationByCoordinates/a:Latitude//@a:Direction" priority="3971" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeRef&#34;]!=&#34;DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' East West North South ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Latitude Direction.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:LocationByCoordinates/a:Longitude//@a:Direction" priority="3970" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeRef&#34;]!=&#34;DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xal:3&#34; and local-name(.)=&#34;DirectionTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DirectionTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' East West North South ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Longitude Direction.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Address/@a:Type" priority="3969" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AddressTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddressTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AddressTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Airport Business CaravanPark CommercialPark CommunityDevelopment EducationalInstitution Entertainment Hospital Location Marina MilitaryBase OverseasMilitary Port Primary RecreationalPark Resort RetirementVillage Rural Secondary ShoppingCentre SportingCentre Urban ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for an Address.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="a:Address//@a:UsageType" priority="3968" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( not(contains(normalize-space(.),' ')) and contains( ' Business Billing Communication Contact Mailing Personal Postal Residential ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad usage type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for an Address.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Accounts/p:Account/p:AccountElement//@p:Type" priority="3967" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;AccountElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AccountElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:AccountElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' AccountID IssuingAuthority AccountType AccountBranch IssuingCountryName ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for account data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:ContactNumbers/p:ContactNumber/p:ContactNumberElement//@p:Type" priority="3966" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ContactNumberElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' CountryCode AreaCode LocalNumber Extension Pin Separator NationalNumber InternationalNumber ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for contact number data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:ContactNumbers/p:ContactNumber//@p:CommunicationMediaType" priority="3965" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeRef&#34;]!=&#34;CommunicationMediaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CommunicationMediaTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;CommunicationMediaTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:CommunicationMediaTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Cell Fax Pager Telephone VOIP ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for Communication Media.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Documents/p:Document/p:DocumentElement//@p:Type" priority="3964" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;DocumentElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' DocumentID DocumentName Privilege Restriction GroupName VerificationCode Category IssuePlace AccessCode Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for document data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Documents/p:Document//@n:ElementType" priority="3963" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeRef&#34;]!=&#34;DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;ElementTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList-1.0&#34;) ) ) and ( . = 'Passport' or . = 'DriverLicense' or . = 'CreditCard' or . = 'BankCard' or . = 'KeyCard' or . = 'Access Card' or . = 'IdentificationCard' or . = 'Certificate' or . = 'MileageProgram' ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for document.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Documents/p:Document/@p:Type" priority="3962" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:DocumentTypeList-1.0&#34;) ) ) and ( . = 'Passport' or . = 'DriverLicense' or . = 'CreditCard' or . = 'BankCard' or . = 'KeyCard' or . = 'Access Card' or . = 'IdentificationCard' or . = 'Certificate' or . = 'MileageProgram' ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for document.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:ElectronicAddressIdentifiers/p:ElectronicAddressIdentifier//@p:Type" priority="3961" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;ElectronicAddressIdentifierTypeEnumeration&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:ElectronicAddressIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' AIM EMAIL GOOGLE GIZMO ICQ JABBER MSN SIP SKYPE URL XRI YAHOO ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for electronic address identifier data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Identifiers/p:Identifier/p:IdentifierElement//@p:Type" priority="3960" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PartyIdentifierElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Identifier IssuingCountryName ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for identifier element data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Identifiers/p:Identifier/@p:Type" priority="3959" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;PartyIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:PartyIdentifierTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' TaxID CompanyID NationalID RegistrationID ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for type of identifier.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Memberships/p:Membership/p:MembershipElement//@p:Type" priority="3958" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;MembershipElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:MembershipElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:MembershipElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' MembershipNumber Privilege Restriction GroupName Category Type IssuingCountryCode Role ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for membership data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Vehicles/p:Vehicle/p:VehicleElement//@p:Type" priority="3957" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;VehicleInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VehicleInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VehicleInfoElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Make Model ManufactureDate EngineNumber ChassisNumber BodyNumber LicensePlateNumber LicensePlateType Colour BodyType Type ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for type of vehicle data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:OrganisationInfo//@p:CategoryType" priority="3956" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( not(contains(normalize-space(.),' ')) and contains( ' Vendor GovernmentAgency University College School Club Association Consortium Company ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for type of organisation category.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:PersonInfo//@p:CategoryType" priority="3955" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( not(contains(normalize-space(.),' ')) and contains( ' ExistingCustomer PotentialCustomer Employee Friend ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for type of person category.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:BirthInfo/p:BirthInfoElement//@p:Type" priority="3954" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;BirthInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BirthInfoElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BirthInfoElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' BirthStar BirthPlace BirthSign ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for birth data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Occupations/p:Occupation/p:OccupationElement//@p:Type" priority="3953" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;OccupationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OccupationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:OccupationElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Role PositionTitle ReportsTo EmploymentType CostCentre Rank ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for occupation data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:PhysicalInfo//@p:BloodGroup" priority="3952" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeRef&#34;]!=&#34;BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:xpil:3&#34; and local-name(.)=&#34;BloodGroupTypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' A+ A- B+ B- AB+ AB ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for type of blood group.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:PhysicalInfo/p:PhysicalInfoFreeTextType//@p:Type" priority="3951" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:BloodGroupList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' A+ A- B+ B- AB+ AB ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for free text of physical info.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:PhysicalInfo/p:Feature//@p:Type" priority="3950" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;FeatureTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:FeatureTypeList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:FeatureTypeList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Weight Height HairColor EyeColor SkinColor Waist Breast Hip ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for physical info feature data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Qualifications/p:Qualification/p:QualificationElement//@p:Type" priority="3949" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;QualificationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:QualificationElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:QualificationElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' QualificationName MajorSubject MinorSubject Grade CourseDuration CompletionDate Award Restriction Registration WayOfStudy ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for qualification data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>

	<!--RULE -->

   <axsl:template match="p:Visas/p:Visa/p:VisaElement//@p:Type" priority="3948" mode="M7">

		<!--ASSERT -->

      <axsl:choose>
         <axsl:when test="( ( ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeRef&#34;]!=&#34;VisaElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVer&#34;]!=&#34;1.0&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VisaElementList&#34;) ) and ( not(../@*[namespace-uri(.)=&#34;urn:oasis:names:tc:ciq:ct:3&#34; and local-name(.)=&#34;TypeVerURI&#34;]!=&#34;urn:oasis:names:specification:ciq:schema:xsd:VisaElementList-1.0&#34;) ) ) and ( not(contains(normalize-space(.),' ')) and contains( ' Type Number Code Country IssuePlace MaximumStay Restriction Privilege SpecialCondition EntryType ',concat(' ',normalize-space(.),' ') ) ) )"/>
         <axsl:otherwise>Bad type '<axsl:text/>
            <axsl:value-of select="."/>
            <axsl:text/>' for visa data.<axsl:text>: </axsl:text>
            <axsl:apply-templates select="." mode="schematron-get-full-path-2"/>
            <axsl:text xml:space="preserve">
</axsl:text></axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|*|comment()|processing-instruction()" mode="M7"/>
   </axsl:template>
   <axsl:template match="text()" priority="-1" mode="M7"/>
   <axsl:template match="@*|node()" priority="-2" mode="M7">
      <axsl:choose><!--Housekeeping: SAXON warns if attempting to find the attribute
                           of an attribute-->
         <axsl:when test="not(@*)">
            <axsl:apply-templates select="node()" mode="M7"/>
         </axsl:when>
         <axsl:otherwise>
            <axsl:apply-templates select="@*|node()" mode="M7"/>
         </axsl:otherwise>
      </axsl:choose>
   </axsl:template>
</axsl:stylesheet>