<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:ccs="urn:x-Crane:ss:Crane-Constraints2Schematron"
                exclude-result-prefixes="ccs"
                version="1.0">
<!--
     A combination of stylesheets to convert a code list context assocation
     file for instances without code list meta data and Genericode-expressed 
     code lists.

OASIS Customer Information Quality (CIQ) Technical Committee 

Copyright (C) OASIS Open (2006). All Rights Reserved.

This document and translations of it may be copied and furnished to others, and
derivative works that comment on or otherwise explain it or assist in its
implementation may be prepared, copied, published and distributed, in whole or
in part, without restriction of any kind, provided that the above copyright
notice and this paragraph are included on all such copies and derivative works.
However, this document itself may not be modified in any way, such as by
removing the copyright notice or references to OASIS, except as needed for the
purpose of developing OASIS specifications, in which case the procedures for
copyrights defined in the OASIS Intellectual Property Rights document must be
followed, or as required to translate it into languages other than English.

The limited permissions granted above are perpetual and will not be revoked by
OASIS or its successors or assigns.

This document and the information contained herein is provided on an "AS IS"
basis and OASIS DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION HEREIN WILL NOT
INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR
A PARTICULAR PURPOSE.

     $Id: CIQ-genericode2Schematron-0.8.xsl,v 1.1 2007/09/01 18:58:48 Ram Kumar Exp $
-->

<!--the external expressions of code lists are in genericode-->
<xsl:import href="Crane-genericode-CodeList.xsl"/>

<!--the instance contexts of items are based on the CIQ model-->
<xsl:import href="CIQ-Metadata.xsl"/>

<!--the main logic of the transformation is independent of both-->
<xsl:import href="Crane-Constraints2Schematron.xsl"/>

<!--this is added to the resulting Schematron assertion file-->
<xsl:variable name="ccs:comment">
  This implementation supports genericode code lists for CIQ
  instances with instance-level meta data.
</xsl:variable>

</xsl:stylesheet>